%define upstream_name  	 Catalyst-Model-DBIC-Schema
%define upstream_version 0.65

%global __requires_exclude perl\\(Catalyst::Model::DBIC::Schema::Types\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    DBIx::Class::Schema Model Class 
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Catalyst::Runtime) >= 5.800.50
BuildRequires: perl(CatalystX::Component::Traits) >= 0.140.0
BuildRequires: perl(Class::Load)
BuildRequires: perl(DBIx::Class) >= 0.81.140
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Moose) >= 1.120.0
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.9.0
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

Requires:   perl(CatalystX::Component::Traits)

%{?perl_default_filter}

%description
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.650.0-7.mga6
+ Revision: 1023220
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.650.0-6.mga6
+ Revision: 949505
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.650.0-5.mga5
+ Revision: 790005
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - add exclude
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Sep 06 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 672758
- update to 0.65

* Sun Aug 17 2014 sander85 <sander85> 0.640.0-1.mga5
+ Revision: 664866
- update to 0.64

  + jquelin <jquelin>
    - update to 0.63
    - update to 0.62

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.610.0-1.mga4
+ Revision: 446861
- update to 0.61

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 363918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.600.0-1.mga3
+ Revision: 261493
- update to 0.60

* Wed Nov 09 2011 jquelin <jquelin> 0.590.0-1.mga2
+ Revision: 165747
- do not ship MYMETA
- update to 0.59

* Thu Nov 03 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 162184
- update to 0.58

* Mon Sep 26 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 148019
- update to 0.55
- update to 0.54

  + kharec <kharec>
    - update to 0.51

* Wed Jun 15 2011 jquelin <jquelin> 0.500.0-1.mga2
+ Revision: 106513
- update to 0.50

* Thu Jan 27 2011 jquelin <jquelin> 0.480.0-2.mga1
+ Revision: 41914
- rebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 41239
- mageia rebuild
- imported package perl-Catalyst-Model-DBIC-Schema


* Sat Dec 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.480.0-1mdv2011.0
+ Revision: 620576
- update to new version 0.48

* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.440.0-1mdv2011.0
+ Revision: 616205
- update to new version 0.44

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2011.0
+ Revision: 561553
- update to 0.43

* Thu Jul 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2011.0
+ Revision: 553577
- update to 0.41

* Fri Feb 05 2010 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 501141
- update to 0.40

* Tue Feb 02 2010 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2010.1
+ Revision: 499483
- update to 0.39

* Fri Jan 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.1
+ Revision: 491819
- update to 0.38

* Fri Jan 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.370.0-1mdv2010.1
+ Revision: 491625
- update to 0.37

* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.350.0-1mdv2010.1
+ Revision: 483035
- update to 0.35

* Mon Nov 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-2mdv2010.1
+ Revision: 471677
- adding missing requires

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2010.1
+ Revision: 461258
- update to 0.31

* Wed Sep 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.290.0-1mdv2010.0
+ Revision: 435711
- update to 0.29

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-1mdv2010.0
+ Revision: 421834
- update to 0.28

* Thu Aug 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.0
+ Revision: 421617
- update to 0.27

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.0
+ Revision: 408941
- update to 0.26

* Mon Jun 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.250.0-2mdv2010.0
+ Revision: 390758
- fix dependencies

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.250.0-1mdv2010.0
+ Revision: 390117
- new version

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.1
+ Revision: 353645
- update to new version 0.23

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.1
+ Revision: 348535
- update to new version 0.22

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.0
+ Revision: 277942
- update to new version 0.21

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.20-3mdv2009.0
+ Revision: 241155
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.0
+ Revision: 48056
- fix build dependencies
- update to new version 0.20

* Tue May 08 2007 Buchan Milne <bgmilne@mandriva.org> 0.18-1mdv2008.0
+ Revision: 25041
- Import perl-Catalyst-Model-DBIC-Schema

